## pudb 2019.2

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pudb
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## pudb 0.92.14

=== debian/changelog ===
pudb (0.92.14-3) unstable; urgency=low

  * debian/control:
    - Standards-Version bumped to 3.9.0, no changes needed
    - bump debhelper dependency to >= 7.0.50~
  * debian/wrappers/pudb added (Closes: #588830)
  * debian/wrappers/man/pudb.1 added
  * debian/rules: generate links to pudb wrapper (and manpage) according
    to the supported versions
  * debian/install:
    - install pudb and its versioned links in /usr/bin/
    - install pudb.1 and its versioned links in /usr/share/man/man1/

 -- David Paleino <dapal@debian.org>  Thu, 15 Jul 2010 18:05:02 +0200

pudb (0.92.14-2) unstable; urgency=low

  * debian/control:
    - added Vcs-* fields
    - Standards-Version bumped to 3.8.4, no changes needed
  * debian/source/format: using 3.0 (quilt)
  * debian/pyversions added, instead of XS-Python-Version:
    - build it for >= 2.5 (Closes: #586204)

 -- David Paleino <dapal@debian.org>  Thu, 17 Jun 2010 13:22:08 +0200

pudb (0.92.14-1) unstable; urgency=low

  * New upstream version
  * debian/copyright: updated copyright years

 -- David Paleino <dapal@debian.org>  Sat, 16 Jan 2010 11:18:44 +0100

pudb (0.92.13-2) unstable; urgency=low

  * debian/control:
    - updated my address
    - removed DMUA

 -- David Paleino <dapal@debian.org>  Fri, 11 Dec 2009 20:22:08 +0100

pudb (0.92.13-1) unstable; urgency=low

  * Initial release (Closes: #553614)

 -- David Paleino <d.paleino@gmail.com>  Sun, 01 Nov 2009 23:00:58 +0100

=== debian/control ===
Source: pudb
Section: python
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
Build-Depends:
 debhelper (>= 7.0.50~)
 , python-support
 , python-setuptools (>= 0.6c9)
Standards-Version: 3.9.0
Homepage: http://pypi.python.org/pypi/pudb/
Vcs-Browser: http://git.debian.org/?p=collab-maint/pudb.git
Vcs-Git: git://git.debian.org/git/collab-maint/pudb.git

Package: python-pudb
Architecture: all
Depends:
 ${python:Depends}
 , ${misc:Depends}
 , python-urwid (>= 0.9.8.4)
 , python-pygments (>= 1.0)
Provides: ${python:Provides}
Suggests: ipython
Description: full-screen, console-based Python debugger
 PuDB is a full-screen, console-based visual debugger for Python.
 .
 Its goal is to provide all the niceties of modern GUI-based debuggers
 in a more lightweight and keyboard-friendly package. PuDB allows you
 to debug code right where you write and test it -- in a terminal. If
 you've worked with the excellent (but nowadays ancient) DOS-based
 Turbo Pascal or C tools, PuDB's UI might look familiar.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	for py in $(shell pyversions -r); do \
		name=$$(echo $$py | sed -e "s/python/pudb/"); \
		ln -s pudb debian/wrappers/$$name; \
		ln -s pudb.1 debian/wrappers/man/$$name.1; \
	done

override_dh_auto_clean:
	dh_auto_clean
	for py in $(shell pyversions -r); do \
		name=$$(echo $$py | sed -e "s/python/pudb/"); \
		rm -vrf debian/wrappers/$$name; \
		rm -vrf debian/wrappers/man/$$name.1; \
	done

## pudb 2011.1

=== debian/changelog ===
pudb (2011.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright updated

 -- David Paleino <dapal@debian.org>  Fri, 25 Mar 2011 20:38:31 +0100

pudb (0.93.1-1) unstable; urgency=low

  * New upstream release
  * Bump dependency on python-urwid to 0.9.9.1
  * Bump Standards-Version to 3.9.1, no changes needed
  * Bump debhelper compatibility to 8
  * Build-Depend on python-all, to provide wrappers for supported
    Python versions

 -- David Paleino <dapal@debian.org>  Sun, 20 Feb 2011 17:06:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
 Build-Depends:
- debhelper (>= 7.0.50~)
+ debhelper (>= 8~)
+ , python-all
  , python-support
  , python-setuptools (>= 0.6c9)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://pypi.python.org/pypi/pudb/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pudb.git
 Vcs-Git: git://git.debian.org/git/collab-maint/pudb.git
@@ -17,7 +18,7 @@
 Depends:
  ${python:Depends}
  , ${misc:Depends}
- , python-urwid (>= 0.9.8.4)
+ , python-urwid (>= 0.9.9.1)
  , python-pygments (>= 1.0)
 Provides: ${python:Provides}
 Suggests: ipython

## pudb 2011.3

=== debian/changelog ===
pudb (2011.3-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bump to 3.9.2, no changes needed
  * Switch packaging to dh_python2
  * Added support for IPython 0.11, thanks to Julian Taylor
    (Closes: #636467)
  * 01-lower_distribute_version.patch: package asks for distribute
    0.6.19, Debian has 0.6.16

 -- David Paleino <dapal@debian.org>  Wed, 07 Sep 2011 10:39:59 +0200

## pudb 2011.3.1

=== debian/changelog ===
pudb (2011.3.1-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Thu, 29 Dec 2011 18:56:23 +0100

## pudb 2012.1

=== debian/changelog ===
pudb (2012.1-1ubuntu0.1) precise-proposed; urgency=low

  * backport 2012.1-1 to precise: (LP: #1019604)
    - fixes compatiblity with ipython 0.12
    - fixes compatibility with urwid >= 1.0
    - fixes running pudb from the non-main thread

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 30 Jun 2012 16:37:01 +0200

pudb (2012.1-1) unstable; urgency=low

  * New upstream version
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Wed, 22 Feb 2012 18:25:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: pudb
 Section: python
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
 Build-Depends:
  debhelper (>= 8~)
- , python-all
- , python-support
+ , python-all (>= 2.6.6-3~)
  , python-setuptools (>= 0.6c9)
-Standards-Version: 3.9.1
+X-Python-Version: >= 2.5
+Standards-Version: 3.9.2
 Homepage: http://pypi.python.org/pypi/pudb/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pudb.git
 Vcs-Git: git://git.debian.org/git/collab-maint/pudb.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ \
+		--with python2
 
 override_dh_auto_build:
 	dh_auto_build

## pudb 2013.1

=== debian/changelog ===
pudb (2013.1-1) unstable; urgency=low

  * New upstream release 2013.1
  * Standards-Version bumped to 3.9.4, no changes required
  * debhelper version bumped to 9
  * 01-lower_distribute_version.patch disabled

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 05 May 2013 15:05:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: pudb
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
+Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
 Build-Depends:
- debhelper (>= 8~)
+ debhelper (>= 9~)
  , python-all (>= 2.6.6-3~)
  , python-setuptools (>= 0.6c9)
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://pypi.python.org/pypi/pudb/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pudb.git
 Vcs-Git: git://git.debian.org/git/collab-maint/pudb.git

## pudb 2013.5.1

=== debian/changelog ===
pudb (2013.5.1-1) unstable; urgency=low

  [ Federico Ceratto ]
  * New upstream release 2013.5.1
  * Switched to Pybuild
  * Build Python3 binary package (Closes: #689655)
  * Standards-Version bumped to 3.9.5, no changes required

 -- David Paleino <dapal@debian.org>  Mon, 06 Jan 2014 23:24:08 +0100

pudb (2013.3.6-1) unstable; urgency=low

  * New upstream release 2013.3.6
  * Vcs links updated
  * Pre-Depends on dpkg added

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 27 Oct 2013 15:23:29 +0000

=== debian/control ===
Source: pudb
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
Uploaders: Josue Ortega <josue.ortega@debian.org.gt>
 , David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-setuptools (>= 0.6c9),
 python3-all,
 python3-setuptools
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Standards-Version: 3.9.5
Homepage: http://pypi.python.org/pypi/pudb/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pudb.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/pudb.git

Package: python-pudb
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-pygments (>= 1.0),
 python-urwid (>= 1.1.1)
Provides: ${python:Provides}
Suggests: ipython
Description: full-screen, console-based Python debugger
 PuDB is a full-screen, console-based visual debugger for Python.
 .
 Its goal is to provide all the niceties of modern GUI-based debuggers
 in a more lightweight and keyboard-friendly package. PuDB allows you
 to debug code right where you write and test it -- in a terminal. If
 you've worked with the excellent (but nowadays ancient) DOS-based
 Turbo Pascal or C tools, PuDB's UI might look familiar.

Package: python3-pudb
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pygments (>= 1.0),
 python3-urwid (>= 1.1.1)
Provides: ${python3:Provides}
Suggests: ipython3
Description: full-screen, console-based Python3 debugger
 PuDB is a full-screen, console-based visual debugger for Python3.
 .
 Its goal is to provide all the niceties of modern GUI-based debuggers
 in a more lightweight and keyboard-friendly package. PuDB allows you
 to debug code right where you write and test it -- in a terminal. If
 you've worked with the excellent (but nowadays ancient) DOS-based
 Turbo Pascal or C tools, PuDB's UI might look familiar.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pudb/pudb-(\d+.*)\.tar\.gz

## pudb 2014.1

=== debian/changelog ===
pudb (2014.1-1) unstable; urgency=low

  * New upstream release 2014.1

 -- Federico Ceratto <federico.ceratto@gmail.com>  Fri, 28 Mar 2014 23:58:30 +0000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  python-setuptools (>= 0.6c9),
  python3-all,
  python3-setuptools
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.2
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 Standards-Version: 3.9.5
 Homepage: http://pypi.python.org/pypi/pudb/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pudb.git;a=summary
@@ -24,8 +24,10 @@
 Depends:
  ${misc:Depends},
  ${python:Depends},
+ ${shlibs:Depends},
  python-pygments (>= 1.0),
  python-urwid (>= 1.1.1)
+Recommends: ${python:Recommends}
 Provides: ${python:Provides}
 Suggests: ipython
 Description: full-screen, console-based Python debugger
@@ -43,8 +45,10 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ ${shlibs:Depends},
  python3-pygments (>= 1.0),
  python3-urwid (>= 1.1.1)
+Recommends: ${python3:Recommends}
 Provides: ${python3:Provides}
 Suggests: ipython3
 Description: full-screen, console-based Python3 debugger

## pudb 2015.1

=== debian/changelog ===
pudb (2015.1-1) unstable; urgency=low

  [ Josue Ortega ]
  * New upstream release 2015.1
  * debian/control: Updated uploader email
  * Standards-Version bumped to 3.9.6, no changes required
  * debian/copyright: changed paragraph in order to avoid lintian false positive
     warning: unused-file-paragraph-in-dep5-copyright.
  * Removed installation of debian/wrappers/pudb since it's no longer needed and
    was the cause of malfunctions on the pudb executable:
    - Closes: #773257
    - Closes: #773258

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 08 Feb 2015 23:27:47 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
-Uploaders: Josue Ortega <josue.ortega@debian.org.gt>
+Uploaders: Josue Ortega <josueortega@debian.org.gt>
  , David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 9~),
@@ -13,8 +13,8 @@
  python3-setuptools
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.5
-Homepage: http://pypi.python.org/pypi/pudb/
+Standards-Version: 3.9.6
+Homepage: https://github.com/inducer/pudb
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pudb.git;a=summary
 Vcs-Git: git://anonscm.debian.org/collab-maint/pudb.git

## pudb 2015.4.1

=== debian/changelog ===
pudb (2015.4.1-1) unstable; urgency=low

  * New upstream release 2015.4.1

 -- Federico Ceratto <federico@debian.org>  Sun, 13 Dec 2015 11:26:01 +0000

pudb (2015.3-1) unstable; urgency=medium

  * New upstream release 2015.3

 -- Josue Ortega <josueortega@debian.org.gt>  Sun, 14 Jun 2015 18:04:39 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pudb
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
+Maintainer: Federico Ceratto <federico@debian.org>
 Uploaders: Josue Ortega <josueortega@debian.org.gt>
  , David Paleino <dapal@debian.org>
 Build-Depends:
@@ -15,7 +15,7 @@
 X-Python3-Version: >= 3.3
 Standards-Version: 3.9.6
 Homepage: https://github.com/inducer/pudb
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pudb.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pudb.git;a=summary
 Vcs-Git: git://anonscm.debian.org/collab-maint/pudb.git
 
 Package: python-pudb

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=pudb

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pudb-$1\.tar\.gz/ \
  https://github.com/inducer/pudb/tags .*/v?(\d\S*)\.tar\.gz

## pudb 2016.2

=== debian/changelog ===
pudb (2016.2-1) unstable; urgency=medium

  * New upstream release 2016.2.
  * debian/changelog:
   - Bumps Standards version to 3.9.8, no changes required.
   - Updates Josue Ortega uploaders mail.
   - Changes VCS-* fields to secure URI.

 -- Josue Ortega <josue@debian.org>  Fri, 24 Jun 2016 15:51:03 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Uploaders: Josue Ortega <josueortega@debian.org.gt>
+Uploaders: Josue Ortega <josue@debian.org>
  , David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 9~),
@@ -13,10 +13,10 @@
  python3-setuptools
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/inducer/pudb
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pudb.git;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/pudb.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pudb.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/pudb.git/
 
 Package: python-pudb
 Architecture: all

## pudb 2017.1.2

=== debian/changelog ===
pudb (2017.1.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Josue Ortega <josue@debian.org>  Mon, 19 Jun 2017 18:00:27 -0600

pudb (2017.1.2-1) experimental; urgency=medium

  * New upstream release (2107.1.2).

 -- Josue Ortega <josue@debian.org>  Sat, 15 Apr 2017 20:40:54 -0600

pudb (2017.1.1-1) experimental; urgency=medium

  * New upstream release (2017.1.1)

 -- Josue Ortega <josue@debian.org>  Sat, 25 Feb 2017 12:21:04 -0600

pudb (2017.1-1) experimental; urgency=medium

  * New upstream release (2017.1)

 -- Josue Ortega <josue@debian.org>  Sat, 18 Feb 2017 14:41:39 -0600

## pudb 2017.1.4

=== debian/changelog ===
pudb (2017.1.4-1) unstable; urgency=medium

  * New upstream release (2017.1.4)

 -- Josue Ortega <josue@debian.org>  Sat, 16 Sep 2017 13:48:57 -0600

pudb (2017.1.3-1) unstable; urgency=medium

  * New upstream release (2017.1.3).
  * debian/control: Bumps Standards-Version from  3.9.8 to 4.0.1, d/copyright
    Format URL changed to HTTPS version.

 -- Josue Ortega <josue@debian.org>  Sat, 26 Aug 2017 16:06:51 -0600

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-setuptools
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/inducer/pudb
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pudb.git
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/pudb.git/

## pudb 2018.1

=== debian/changelog ===
pudb (2018.1-1) unstable; urgency=medium

  * New upstream release (2018.1).
  * Removes debian/patches, they are no longer needed.
  * Bumps compat level from 9 to 11.
  * Updates VCS fields to use salsa.debian.org.
  * debian/control:
    - Removes ancient Python version field.
    - Bumps Python3 version field to >= 3.6.
    - Bumps Standards-Version from 4.0.1 to 4.1.4.

 -- Josue Ortega <josue@debian.org>  Mon, 11 Jun 2018 22:11:46 -0600

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Uploaders: Josue Ortega <josue@debian.org>
  , David Paleino <dapal@debian.org>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 11),
  dh-python,
  python-all (>= 2.6.6-3~),
  python-setuptools (>= 0.6c9),
  python3-all,
  python3-setuptools
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
-Standards-Version: 4.0.1
+X-Python3-Version: >= 3.6
+Standards-Version: 4.1.4
 Homepage: https://github.com/inducer/pudb
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pudb.git
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/pudb.git/
+Vcs-Browser: https://salsa.debian.org/debian/pudb
+Vcs-Git: https://salsa.debian.org/debian/pudb.git
 
 Package: python-pudb
 Architecture: all

## pudb 2019.1

=== debian/changelog ===
pudb (2019.1-2) unstable; urgency=medium

  * Release to unstable
  * Bump Standards-Version to 4.4.0. No changes required.

 -- Josue Ortega <josue@debian.org>  Sat, 20 Jul 2019 11:14:38 -0300

pudb (2019.1-1) experimental; urgency=medium

  * New upstream release (2019.1).
  * Update debhelper to use debhelper-compat.
  * debian/control:
    - Remove X-Python3-Version field.
    - Change package section python -> devel
  * Bump Standards-Version to 4.3.0, no changes required.
  * Add debian CI tests.

 -- Josue Ortega <josue@debian.org>  Fri, 14 Jun 2019 10:49:30 -0600

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: pudb
-Section: python
+Section: devel
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Uploaders: Josue Ortega <josue@debian.org>
- , David Paleino <dapal@debian.org>
+Uploaders: Josue Ortega <josue@debian.org>,
+ David Paleino <dapal@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python-all (>= 2.6.6-3~),
  python-setuptools (>= 0.6c9),
  python3-all,
  python3-setuptools
-X-Python3-Version: >= 3.6
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: https://github.com/inducer/pudb
 Vcs-Browser: https://salsa.debian.org/debian/pudb
 Vcs-Git: https://salsa.debian.org/debian/pudb.git

=== debian/tests/control ===
Test-Command: pudb -h

Test-Command: pudb3 -h

## pudb 2019.2

=== debian/changelog ===
pudb (2019.2-1) unstable; urgency=medium

  * New upstream release (2019.2)
  * Bump Standards-Version to 4.4.1. No changes required
  * debian/control: Add Rules-Requires-Root field

 -- Josue Ortega <josue@debian.org>  Thu, 09 Jan 2020 07:47:47 -0600

pudb (2019.1-3) unstable; urgency=medium

  * Add salsa-ci configuration file
  * Remove python2 package
  * debian/control: Add python3-pkg-resources as package dependency

 -- Josue Ortega <josue@debian.org>  Mon, 12 Aug 2019 11:17:02 -0600

=== debian/control ===
Source: pudb
Section: devel
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Uploaders: Josue Ortega <josue@debian.org>,
 David Paleino <dapal@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 4.4.1
Homepage: https://github.com/inducer/pudb
Vcs-Browser: https://salsa.debian.org/debian/pudb
Vcs-Git: https://salsa.debian.org/debian/pudb.git
Rules-Requires-Root: no

Package: python3-pudb
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-pygments (>= 1.0),
 python3-urwid (>= 1.1.1),
 python3-pkg-resources
Recommends: ${python3:Recommends}
Provides: ${python3:Provides}
Suggests: ipython3
Description: full-screen, console-based Python3 debugger
 PuDB is a full-screen, console-based visual debugger for Python3.
 .
 Its goal is to provide all the niceties of modern GUI-based debuggers
 in a more lightweight and keyboard-friendly package. PuDB allows you
 to debug code right where you write and test it -- in a terminal. If
 you've worked with the excellent (but nowadays ancient) DOS-based
 Turbo Pascal or C tools, PuDB's UI might look familiar.

=== debian/tests/control ===
Test-Command: pudb3 -h

## pudb 2020.1

=== debian/changelog ===
pudb (2020.1-1) unstable; urgency=medium

  * New upstream release (2020.1)
  * Bump debhelper-compat to (= 13)
  * debian/tests/control: Mark test as superficial (Closes: #969853)
  * debian/watch: Bump file standard version to 4
  * Bump package Standards Version to 4.5.1. No changes required

 -- Josue Ortega <josue@debian.org>  Wed, 06 Jan 2021 07:36:00 -0600

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Josue Ortega <josue@debian.org>,
  David Paleino <dapal@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/inducer/pudb
 Vcs-Browser: https://salsa.debian.org/debian/pudb
 Vcs-Git: https://salsa.debian.org/debian/pudb.git

=== debian/tests/control ===
Test-Command: pudb3 -h
Restrictions: superficial

## pudb 2022.1.2

=== debian/changelog ===
pudb (2022.1.2-2) unstable; urgency=medium

  * debian/control: Add python3-urwid-readline as build dependency
    (Closes: #1016099)

 -- Josue Ortega <josue@debian.org>  Sat, 06 Aug 2022 06:35:53 -0600

pudb (2022.1.2-1) unstable; urgency=medium

  * New upstream release (2022.1.2) (Closes: #1005854)
  * debian/control: Add Raúl Benencia to Uploaders
  * debian/control: Wrap and sort
  * debian/control: Add new build dependencies:
    - python3-pytest
    - python3-pytest-mock
    - python3-urwid
  * debian/control: Bump standards version to 4.6.1. No changes required
  * debian/copyright: Update years and individuals

 -- Raúl Benencia <rul@kalgan.cc>  Thu, 21 Jul 2022 23:47:36 +0200

## pudb 2022.1.3

=== debian/changelog ===
pudb (2022.1.3-1) unstable; urgency=medium

  * New upstream release (2022.1.3)
  * Fix FTBFS: Add 00-disable-bad-encoding-tests.patch to diisable flaky
    encoding tests.
  * Change executable name from pudb3 to pudb.
  * debian/pudb.1: Update options list.

 -- Josue Ortega <josue@debian.org>  Thu, 17 Nov 2022 12:22:39 -0600

=== debian/control ===
Source: pudb
Section: devel
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Uploaders: Josue Ortega <josue@debian.org>,
           David Paleino <dapal@debian.org>,
           Raúl Benencia <rul@kalgan.cc>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-pytest-mock,
               python3-setuptools,
               python3-urwid,
Standards-Version: 4.6.1
Homepage: https://github.com/inducer/pudb
Vcs-Browser: https://salsa.debian.org/debian/pudb
Vcs-Git: https://salsa.debian.org/debian/pudb.git
Rules-Requires-Root: no

Package: python3-pudb
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: python3-pkg-resources,
         python3-pygments (>= 1.0),
         python3-urwid (>= 1.1.1),
         python3-urwid-readline,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: ${python3:Recommends},
Provides: ${python3:Provides},
Suggests: ipython3,
Description: full-screen, console-based Python3 debugger
 PuDB is a full-screen, console-based visual debugger for Python3.
 .
 Its goal is to provide all the niceties of modern GUI-based debuggers
 in a more lightweight and keyboard-friendly package. PuDB allows you
 to debug code right where you write and test it -- in a terminal. If
 you've worked with the excellent (but nowadays ancient) DOS-based
 Turbo Pascal or C tools, PuDB's UI might look familiar.

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pudb-$1\.tar\.gz/ \
  https://github.com/inducer/pudb/tags .*/v?(\d\S*)\.tar\.gz

## pudb 2024.1.3

=== debian/changelog ===
pudb (2024.1.3-1) unstable; urgency=medium

  * New upstream version. (Closes: #1077848)
  * 00-disable-bad-encoding-tests.patch: Change test path.
  * debian/control: Add new build dependencies:
    - python3-hatchling
    - pybuild-plugin-pyproject
  * debian/control: Remove build depend and depend:
    - python3-setuptools
    - python3-zombie-telnetlib
  * debian/control:
    - Bump standards version to 4.7.0.
    - Add new uploader.
  * debian/copyright: Add new uploader.
  * debian/lintian-overrides: Create a lintian override to false positive.
  * Generate links to pudb3 manpage in /usr/share/man/man1/

 -- Thais Reboucas de Araujo <thaysreb@gmail.com>  Wed, 05 Mar 2025 14:19:22 -0300

pudb (2022.1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove runtime dependency on on python3-pkg-resources (Closes: #1083563)
  * Add runtime dependency on python3-zombie-telnetlib
    until v2024.1.2 or later is packaged.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 11:45:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Uploaders: Josue Ortega <josue@debian.org>,
            David Paleino <dapal@debian.org>,
            Raúl Benencia <rul@kalgan.cc>,
+           Thais Reboucas de Araujo <thaysreb@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-pytest,
                python3-pytest-mock,
-               python3-setuptools,
                python3-urwid,
-Standards-Version: 4.6.1
+               pybuild-plugin-pyproject,
+               python3-hatchling,
+Standards-Version: 4.7.0
 Homepage: https://github.com/inducer/pudb
 Vcs-Browser: https://salsa.debian.org/debian/pudb
 Vcs-Git: https://salsa.debian.org/debian/pudb.git
@@ -21,8 +23,7 @@
 Package: python3-pudb
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~),
-Depends: python3-pkg-resources,
-         python3-pygments (>= 1.0),
+Depends: python3-pygments (>= 1.0),
          python3-urwid (>= 1.1.1),
          python3-urwid-readline,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=pudb

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pudb -h
Restrictions: superficial

Test-Command: pudb3 -h
Restrictions: superficial
